> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a File



## OpenAPI

````yaml api-reference/openapi-file-upload.json POST /file
openapi: 3.0.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: File Upload
  version: 1.16.492-g79cb37db
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /file:
    post:
      tags:
        - File
      summary: Upload a file
      requestBody:
        description: The file to upload as binary data
        content:
          image/gif:
            schema:
              type: string
              format: binary
          image/png:
            schema:
              type: string
              format: binary
          image/jpeg:
            schema:
              type: string
              format: binary
          image/tiff:
            schema:
              type: string
              format: binary
          application/msword:
            schema:
              type: string
              format: binary
          application/vnd.openxmlformats-officedocument.wordprocessingsingml.document:
            schema:
              type: string
              format: binary
          application/vnd.ms-excel:
            schema:
              type: string
              format: binary
          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet:
            schema:
              type: string
              format: binary
          application/pdf:
            schema:
              type: string
              format: binary
          text/plain:
            schema:
              type: string
              format: binary
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    content_hash: 5644a65d2e0adb879329196d8e115be52e2a921c
                    content_length: 347504
                    content_type: image/jpeg
                    content_url: >-
                      https://treasuryprime-usercontent.com/sandbox/org_1he97gra9he/0/5644...
                    created_at: '2023-11-16T22:59:31Z'
                    id: file_11jnd0n3nx
                    updated_at: '2023-11-16T22:59:31Z'
              schema:
                properties:
                  content_hash:
                    description: SHA-1 hash of the file contents
                    type: string
                  content_length:
                    description: Length of the file contents in bytes
                    type: integer
                  content_type:
                    description: A valid media type
                    type: string
                  content_url:
                    description: >-
                      A url that can be used to download the file. URL is only
                      valid for a short time
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
          description: The file
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````